/*
 * @(#)ReferenceChain.java	1.5 98/10/08
 *
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software
 * and its documentation for NON-COMMERCIAL purposes and without
 * fee is hereby granted provided that this copyright notice
 * appears in all copies. Please refer to the file "copyright.html"
 * for further important copyright and licensing information.
 *
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
 * THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
 * TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package hat.model;

/**
 * Represents a chain of references to some target object
 *
 * @version     1.5, 10/08/98
 * @author      Bill Foote
 */

public class ReferenceChain {

    JavaHeapObject	obj;	// Object referred to
    ReferenceChain	next;	// Next in chain
    
    public ReferenceChain(JavaHeapObject obj, ReferenceChain next) {
	this.obj = obj;
	this.next = next;
    }

    public JavaHeapObject getObj() {
	return obj;
    }

    public ReferenceChain getNext() {
	return next;
    }

    public int getDepth() {
	if (next == null) {
	    return 1;
	} else {
	    return 1+next.getDepth();
	}
    }

}
